Bug 1444514 - Rebase spice agent to the latest upstream release
Summary: Rebase spice agent to the latest upstream release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: spice-vdagent-win
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Default Assignee for SPICE Bugs
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On:
Blocks: 1425451 1444080 1444429 1450061 1482982
TreeView+ depends on / blocked
 
Reported: 2017-04-21 13:40 UTC by Pavel Grunt
Modified: 2019-10-10 14:22 UTC (History)
12 users (show)

Fixed In Version: vdagent-win-4.1.5 mingw-spice-vdagent-0.9.0-N
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Rebase package(s) to version: mingw-spice-vdagent-0.9.0. This version implements the WDDM interface to support multiple monitors and arbitrary resolution with spice-qxl-wddm-dod (BZ#1444429), fixes file name encoding in Windows guests (BZ#1450061), and fixes a bug that prevents a user from attaching another display from the client side (BZ#1444080).
Clone Of:
: 1482982 (view as bug list)
Environment:
Last Closed: 2018-05-15 18:02:06 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:1544 None None None 2018-05-15 18:03:06 UTC

Description Pavel Grunt 2017-04-21 13:40:38 UTC
Rebase would bring improvements to the file transfer behavior (drag & drop), the latest release (v 0.8.0) also contains fixes & adjustments for qxl-wddm-dod - needed for the bug 1425451

https://www.spice-space.org/download/windows/vdagent/vdagent-win-0.8.0

Comment 1 David Blechter 2017-08-18 14:09:24 UTC
This bug has been cloned to the RHEV-M .z stream:https://bugzilla.redhat.com/show_bug.cgi?id=1482982

Comment 3 Bill Sanford 2018-03-22 13:58:21 UTC
I installed rhv-4.2.2-3 on RHEL-7.5-20180221.0 engine and hosts.

With the Windows guest files vdagent.exe and vdservice.exe both at version 1.1.4.1005, that equates to vdagent-win-4.1.5 according to the spec file.

%global RHV_MAJOR 4
%global RHV_MINOR 1
%global RHV_BUILD 5
rhv_last=$(printf "%d%03d" %{RHV_MINOR}  %{RHV_BUILD} )
rhv_version=$(echo "1, 1, %{RHV_MAJOR}, $rhv_last")

Comment 7 errata-xmlrpc 2018-05-15 18:02:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1544

Comment 8 Franta Kust 2019-05-16 13:03:34 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.